unit UnitDemo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus,
  HddPhysic; //  Add HddPhysic Interface Unit

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label7: TLabel;
    Button1: TButton;
    Label10: TLabel;
    Label8: TLabel;
    WinDrive: TEdit;
    Label12: TLabel;
    ComboBoxDrives: TComboBox;
    Label6: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure ClearEdit;
  public
    { Public declarations }

  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
var
 iWinDrive, iDrivesCount, i: Integer;
begin
   i:=0;
   //init HddPhysic dll
   iDrivesCount:=Init('<your reg id>','<your reg code>'); //add your registration data to unlock it

  if iDrivesCount>0 then
   begin 
      //add drives indexes to combo
     Repeat
        ComboBoxDrives.Items.Add(IntToStr(i));
        Inc(i);
     Until i = iDrivesCount ;
      //get windows hdd drive index
      iWinDrive     := GetPhysicInfo(0, 6, nil);
      WinDrive.Text := IntToStr(iWinDrive);
      ComboBoxDrives.ItemIndex := iWinDrive ; //select win drive index
   end;
   

end;


procedure TForm1.Button1Click(Sender: TObject);
var
  iDiskNo,iReturn: Integer;
  cInfo: AnsiString;
begin
  SetLength( cInfo, 512 ); //allocate some space in the buffer
  ClearEdit;
  
  iDiskNo:=ComboBoxDrives.ItemIndex; //get selected drive index
  
  iReturn    := GetPhysicInfo(iDiskNo,0,PAnsiChar(cInfo)); //0 = serial number
  Edit1.Text := cInfo;                 

  iReturn    := GetPhysicInfo(iDiskNo, 1, PAnsiChar(cInfo));    //1 = hdd model
  Edit2.Text := cInfo;
    
  iReturn    := GetPhysicInfo(iDiskNo, 2, PAnsiChar(cInfo));    //2 = hdd revision
  Edit3.Text := cInfo;

  iReturn    := GetPhysicInfo(iDiskNo, 3, PAnsiChar(cInfo));    //3 = hdd type
  Edit6.Text := cInfo;
        
  iReturn    := GetPhysicInfo(iDiskNo, 4, PAnsiChar(cInfo));    //4 = hdd size
  Edit5.Text := cInfo;
    
  iReturn    := GetPhysicInfo(iDiskNo, 5, PAnsiChar(cInfo));    //5 = hdd buffer size
  Edit4.Text := cInfo;

end;



procedure TForm1.ClearEdit;
//Clear edit box
begin
  Edit1.Text    := '';
  Edit2.Text    := '';
  Edit3.Text    := '';
  Edit4.Text    := '';
  Edit5.Text    := '';
  Edit6.Text    := '';  
end;

end.
